Name: 		perl-Mail-GnuPG
Summary: 	Process email with GPG
Version: 	0.15
Release: 	3%{?dist}
License:	GPLv2 or Artistic
Group: 		Development/Libraries
URL: 		http://search.cpan.org/dist/Mail-GnuPG/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: 	noarch

Requires:  	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Source0: 	http://search.cpan.org/CPAN/authors/id/R/RS/RSPIER/Mail-GnuPG-%{version}.tar.gz

BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:	perl(GnuPG::Interface)
BuildRequires:	perl(MIME::Entity)
BuildRequires:	perl(MIME::Parser)
BuildRequires:	perl(Mail::Address)

# Required by the tests
BuildRequires:	perl(Test::Pod) >= 0.95

%description
Use GnuPG::Interface to process or create PGP signed or encrypted email.

%prep
%setup -q -n Mail-GnuPG-%{version}
iconv -f iso-8859-1 -t utf-8 README > README~
mv README~ README

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%clean
rm -rf $RPM_BUILD_ROOT

%check
make test

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorlib}/Mail
%{_mandir}/man3/*

%changelog
* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jul 09 2008 Ralf Corsépius <rc040203@freenet.de> - 0.15-2
- Cleanup spec file.

* Wed Mar 12 2008 Ralf Corsépius <rc040203@freenet.de> - 0.15-1
- Upstream update.
- Correct license tag: GPLv2 or Artistic-v1.0.
- Convert README to utf8.

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.10-2
- Rebuild for new perl

* Tue Sep 04 2007 Ralf Corsépius <rc040203@freenet.de> - 0.10-1
- Upstream update.
- Reflect source url having changed.
- Update license tag.

* Tue Sep 05 2006 Ralf Corsépius <rc040203@freenet.de> - 0.08-5
- Mass rebuild.

* Wed Mar 01 2006 Ralf Corsépius <rc040203@freenet.de> - 0.08-4
- Rebuild for perl-5.8.8.

* Thu Oct 06 2005 Ralf Corsepius <rc040203@freenet.de> - 0.08-3
- FE import.
- Spec cleanup.

* Sun Sep 11 2005 Ralf Corsepius <rc040203@freenet.de> - 0.08-2
- Update summary and description.
- FE submission.

* Sun Sep 11 2005 Ralf Corsepius <ralf@links2linux.de> - 0.08-1
- FE submission preps.
